package xyz.wbsite.module.admin.req;

import xyz.wbsite.frame.base.BaseUpdateRequest;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import javax.validation.constraints.NotEmpty;

/**
 * ConfigDataUpdateRequest - 配置数据更新
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2021-02-08
 */
public class ConfigDataUpdateRequest extends BaseUpdateRequest {

    /**
     * 主键.
     */
    @NotNull(message = "[id]主键不能为NULL")
    private Long id;

    /**
     * 目标主键.
     */
    @NotNull(message = "[targetId]目标主键不能为NULL")
    private Long targetId;

    /**
     * 规则主键.
     */
    private Long ruleId;

    /**
     * 配置名称.
     */
    @NotBlank(message = "[confName]配置名称不能为空")
    @Length(min = 0, max = 100, message = "[confName]配置名称长度不合法(0-100)")
    private String confName;

    /**
     * 配置属值.
     */
    @NotBlank(message = "[confValue]配置属值不能为空")
    @Length(min = 0, max = 100, message = "[confValue]配置属值长度不合法(0-100)")
    private String confValue;

    /**
     * 配置备注.
     */
    @Length(min = 0, max = 255, message = "[confNote]配置备注长度不合法(0-255)")
    private String confNote;

    public Long getId() {
        return this.id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getTargetId() {
        return this.targetId;
    }

    public void setTargetId(Long targetId) {
        this.targetId = targetId;
    }

    public Long getRuleId() {
        return this.ruleId;
    }

    public void setRuleId(Long ruleId) {
        this.ruleId = ruleId;
    }

    public String getConfName() {
        return this.confName;
    }

    public void setConfName(String confName) {
        this.confName = confName;
    }

    public String getConfValue() {
        return this.confValue;
    }

    public void setConfValue(String confValue) {
        this.confValue = confValue;
    }

    public String getConfNote() {
        return this.confNote;
    }

    public void setConfNote(String confNote) {
        this.confNote = confNote;
    }
}
